Name:		riemann-c-client
Version:	1.9.0
Release:	1
Summary:	The riemann C client
License:	GPLv2
Url:		https://github.com/algernon/riemann-c-client
Source:		https://github.com/algernon/riemann-c-client/releases/download/riemann-c-client-%{version}/riemann-c-client-%{version}.tar.xz
BuildRequires:  gcc
BuildRequires:	pkgconfig
BuildRequires:	protobuf-c-devel
BuildRequires:	json-c-devel
BuildRequires:	chrpath
BuildRequires:  gnutls-devel

%description
This is a C client library for the Riemann monitoring system, providing a
convenient and simple API, high test coverage and a copyleft license,
along with API and ABI stability.

%package devel
Summary:	Development files for riemann-c-client
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	protobuf-c-devel%{?_isa}
Requires:	json-c-devel

%description devel
This package provides files necessary for riemann-c-client development.

%prep
%setup -q

%build
%configure --disable-static
make %{_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} install

chrpath --delete $RPM_BUILD_ROOT%{_bindir}/riemann-client

rm %{buildroot}/%{_libdir}/libriemann-client.la

%ldconfig_scriptlets

%files
%doc README.md NEWS.md
%{_libdir}/libriemann-client.so.*
%{_bindir}/riemann-client
%{_mandir}/man1/*.1*

%files devel
%{_includedir}/riemann/
%{_libdir}/libriemann-client.so
%{_libdir}/pkgconfig/riemann-client.pc

%changelog
* Wed Aug 18 2021 Python_Bot <Python_Bot@openeuler.org> - 1.9.0-1
- Init Package
